// This library returns an icon associated with a file that is available
// to the server by its file system to the client via http as a jpg or gif-image.
// For gif-image support the TGIFimage component by A. Melander is required.
// You can get it at "www.melander.dk". Place a copy of the gifimage.pas file
// in the source directory and set up a compiler option named "GIF".

// Example:
// http://localhost/scripts/mtogeticon.dll?file=c:\config.sys

library mtogeticon;

uses
  HTTPApp,
  ISAPIApp,
  main in 'main.pas' {WebModule1: TWebModule};

{$R *.RES}

exports
  GetExtensionVersion,
  HttpExtensionProc,
  TerminateExtension;

begin
  Application.Initialize;
  Application.CacheConnections:=false;
  Application.CreateForm(TWebModule1, WebModule1);
  Application.Run;
end.
